%define major		0
%define libname		%mklibname v4l %{major}
%define develname	%mklibname v4l -d

Name:		libv4l
Version:	0.5.8
Release:	%mkrel 1
Summary:	Thin abstraction layer for video4linux2 devices
License:	LGPLv2+
Group:		System/Libraries
URL:		http://hansdegoede.livejournal.com/3636.html
Source:		http://people.atrpms.net/~hdegoede/libv4l-%{version}.tar.gz
BuildRequires:	glibc-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
libv4l is a collection of libraries which adds a thin abstraction layer on top
of video4linux2 devices. The purpose of this (thin) layer is to make it easy for
application writers to support a wide variety of devices without having to write
separate code for different devices in the same class.

%files
%defattr(0644,root,root,0755)
%dir %{_libdir}/libv4l
%{_libdir}/libv4l/v4l1compat.so
%{_libdir}/libv4l/v4l2convert.so

%package -n	%{libname}
Summary:	Main libraries for libv4l
Group:		System/Libraries
Requires: %name >= %version

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with libv4l.

%files -n	%{libname}
%defattr(0644,root,root,0755)
%{_libdir}/libv4l1.so.%{major}*
%{_libdir}/libv4l2.so.%{major}*
%{_libdir}/libv4lconvert.so.%{major}*

%package -n	%{develname}
Summary:	Development files from libv4l
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development files needed to build programs that use
libv4l.

%files -n	%{develname}
%defattr(0644,root,root,0755)
%{_includedir}/libv4l1.h
%{_includedir}/libv4l2.h
%{_includedir}/libv4lconvert.h
%{_libdir}/libv4l1.so
%{_libdir}/libv4l2.so
%{_libdir}/libv4lconvert.so
%{_libdir}/pkgconfig/libv4l1.pc
%{_libdir}/pkgconfig/libv4l2.pc
%{_libdir}/pkgconfig/libv4lconvert.pc

%prep
%setup -q

%build
%make CFLAGS="%{optflags}" PREFIX="%{_prefix}" LIBDIR="%{_libdir}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std PREFIX="%{_prefix}" LIBDIR="%{_libdir}"

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}



%changelog
* Mon Jan 12 2009 Götz Waschk <waschk@mandriva.org> 0.5.8-1mdv2009.1
+ Revision: 328576
- update to new version 0.5.8

* Wed Dec 03 2008 Götz Waschk <waschk@mandriva.org> 0.5.7-1mdv2009.1
+ Revision: 309698
- update to new version 0.5.7

* Tue Nov 25 2008 Götz Waschk <waschk@mandriva.org> 0.5.6-1mdv2009.1
+ Revision: 306596
- update to new version 0.5.6

  + Pascal Terjan <pterjan@mandriva.org>
    - Update to 0.5.4

* Mon Oct 27 2008 Götz Waschk <waschk@mandriva.org> 0.5.3-1mdv2009.1
+ Revision: 297759
- update to new version 0.5.3

* Mon Oct 27 2008 Funda Wang <fundawang@mandriva.org> 0.5.2-1mdv2009.1
+ Revision: 297522
- New version 0.5.2

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2009.1
+ Revision: 295932
- update to new version 0.5.1

* Fri Sep 05 2008 Frederic Crozat <fcrozat@mandriva.com> 0.4.3-1mdv2009.0
+ Revision: 281080
- Release 0.4.3

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 0.4.1-2mdv2009.0
+ Revision: 278499
- depend on the main package

* Thu Aug 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.1-1mdv2009.0
+ Revision: 276810
- new release

* Thu Aug 07 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.4.0-2mdv2009.0
+ Revision: 265667
- Bump release because of previous submit stuck in bs upload queue.
- Updated to version 0.4.0

* Thu Jul 31 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.3.8-1mdv2009.0
+ Revision: 258489
- import libv4l


